Перетворюйте відео Kling на високоякісне аудіо через endpoint Video to Audio від CometAPI з налаштовуваним вихідним форматом, тривалістю та керуванням Prompt.
curl --request POST \
--url https://api.cometapi.com/kling/v1/audio/video-to-audio \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"video_url": "https://xxxxx.mp4"
}
'{
"code": 123,
"message": "<string>",
"data": {
"task_id": "<string>",
"task_status": "<string>",
"created_at": 123,
"updated_at": 123
}
}video_id, або video_url, але не обидва одночасноvideo_url, коли вихідний кліп спочатку не було створено в Klingcallback_url і external_task_id необов’язковими, якщо вони не потрібні вашій інтеграціїНадішліть вихідне відео
video_id, або доступний video_url, а потім збережіть повернутий id завдання.Опитуйте завдання
Bearer token authentication. Use your CometAPI key.
ID of a Kling-generated video. Only videos created within the last 30 days with a duration of 3–20 seconds are supported. Mutually exclusive with video_url — exactly one must be provided.
Optional user-defined task ID for your own tracking. Does not replace the system-generated task ID. Must be unique per account.
Webhook URL for task status notifications. The server sends a callback when the task status changes.
Accessible URL of the source video. Accepted formats: MP4, MOV. Max 100 MB, 720p or 1080p resolution, duration 3–20 seconds. Mutually exclusive with video_id — exactly one must be provided.
curl --request POST \
--url https://api.cometapi.com/kling/v1/audio/video-to-audio \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"video_url": "https://xxxxx.mp4"
}
'{
"code": 123,
"message": "<string>",
"data": {
"task_id": "<string>",
"task_status": "<string>",
"created_at": 123,
"updated_at": 123
}
}